/*************************************
*                                    *
*    外枠システム  main.c            *
*    (メインプログラム）             *
*                                    *
*************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "set.h"
#include "mcntl.h"
#include "mkyos.h"
#include "mfile_open.h"


int main(void)
{

/* メインルーチン */

printf("start\n");

zero();
printf("zero終了\n");

cntl();
printf("cntl終了\n");

readdata();
printf("readdata終了\n");

/*  （１）人口の処理  */
setjinko();
printf("setjinko終了\n");

/*  （２）労働力関係  */
simlroud();
printf("simlroud終了\n");

/*  （３）共済組合  */
simlkyos();
printf("simlkyos終了\n");

/*  （４）厚生年金  */
simlkou();
printf("simlkou終了\n");

simlqkyos();
printf("simlqkyos終了\n");

/*  （５）第１号、第３号  */
simlichisan();
printf("simlichisan終了\n");

/*  （６）短時間適用者数  */
if ( PART>=1 ) {
simlpart();
printf("simlpart終了\n");
}

fout();
printf("fout終了\n");

cutout();
printf("cutout終了\n");

fclose ( fp_err );

printf("end\n"); 

return 0;

}
